apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      descheduler.alpha.kubernetes.io/request-evict-only: ""
      kubectl.kubernetes.io/default-container: compute
      kubevirt.io/domain: centos
      kubevirt.io/migrationTransportUnix: "true"
      kubevirt.io/vm-generation: "1"
      openshift.io/scc: kubevirt-controller
      post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze",
        "--name", "centos", "--namespace", "demo"]'
      post.hook.backup.velero.io/container: compute
      pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
        "centos", "--namespace", "demo"]'
      pre.hook.backup.velero.io/container: compute
      seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
      traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
      vm.kubevirt.io/flavor: small
      vm.kubevirt.io/os: centos-stream9
      vm.kubevirt.io/workload: server
    creationTimestamp: "2025-01-06T13:33:00Z"
    generateName: virt-launcher-centos-
    labels:
      kubevirt.io: virt-launcher
      kubevirt.io/created-by: e248d18b-107b-49f0-9a55-79f21f05dcd1
      kubevirt.io/domain: centos
      kubevirt.io/size: small
      network.kubevirt.io/headlessService: headless
      vm.kubevirt.io/name: centos
    name: virt-launcher-centos-dvl7l
    namespace: demo
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachineInstance
      name: centos
      uid: e248d18b-107b-49f0-9a55-79f21f05dcd1
    resourceVersion: "5622132"
    uid: 81b416ca-35d7-42f1-be53-ccf2a7a45894
  spec:
    affinity:
      nodeAffinity:
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
          - matchExpressions:
            - key: node-labeller.kubevirt.io/obsolete-host-model
              operator: DoesNotExist
    automountServiceAccountToken: false
    containers:
    - command:
      - /usr/bin/virt-launcher-monitor
      - --qemu-timeout
      - 331s
      - --name
      - centos
      - --uid
      - e248d18b-107b-49f0-9a55-79f21f05dcd1
      - --namespace
      - demo
      - --kubevirt-share-dir
      - /var/run/kubevirt
      - --ephemeral-disk-dir
      - /var/run/kubevirt-ephemeral-disks
      - --container-disk-dir
      - /var/run/kubevirt/container-disks
      - --grace-period-seconds
      - "195"
      - --hook-sidecars
      - "0"
      - --ovmf-path
      - /usr/share/OVMF
      - --run-as-nonroot
      env:
      - name: XDG_CACHE_HOME
        value: /var/run/kubevirt-private
      - name: XDG_CONFIG_HOME
        value: /var/run/kubevirt-private
      - name: XDG_RUNTIME_DIR
        value: /var/run
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:ce5f0d0a5f0f15dceb875d24ba50b879d11caaa6cbd1a69bdb24aa189540b8f1
      imagePullPolicy: IfNotPresent
      name: compute
      resources:
        limits:
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
        requests:
          cpu: 100m
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
          ephemeral-storage: 50M
          memory: 2294Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          add:
          - NET_BIND_SERVICE
          drop:
          - ALL
        privileged: false
        runAsGroup: 107
        runAsNonRoot: true
        runAsUser: 107
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeDevices:
      - devicePath: /dev/rootdisk
        name: rootdisk
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
      - mountPath: /var/run/kubevirt
        name: public
      - mountPath: /var/run/kubevirt-ephemeral-disks
        name: ephemeral-disks
      - mountPath: /var/run/kubevirt/container-disks
        mountPropagation: HostToContainer
        name: container-disks
      - mountPath: /var/run/libvirt
        name: libvirt-runtime
      - mountPath: /var/run/kubevirt/sockets
        name: sockets
      - mountPath: /var/run/kubevirt/hotplug-disks
        mountPropagation: HostToContainer
        name: hotplug-disks
    dnsPolicy: ClusterFirst
    enableServiceLinks: false
    hostname: centos
    imagePullSecrets:
    - name: default-dockercfg-hj2b5
    nodeSelector:
      kubernetes.io/arch: amd64
      kubevirt.io/schedulable: "true"
    preemptionPolicy: PreemptLowerPriority
    priority: 0
    readinessGates:
    - conditionType: kubevirt.io/virtual-machine-unpaused
    restartPolicy: Never
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 107
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
      seccompProfile:
        localhostProfile: kubevirt/kubevirt.json
        type: Localhost
    serviceAccount: default
    serviceAccountName: default
    terminationGracePeriodSeconds: 210
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - emptyDir: {}
      name: private
    - emptyDir: {}
      name: public
    - emptyDir: {}
      name: sockets
    - emptyDir: {}
      name: virt-bin-share-dir
    - emptyDir: {}
      name: libvirt-runtime
    - emptyDir: {}
      name: ephemeral-disks
    - emptyDir: {}
      name: container-disks
    - name: rootdisk
      persistentVolumeClaim:
        claimName: centos
    - emptyDir: {}
      name: hotplug-disks
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2025-01-06T13:33:00Z"
      message: '0/6 nodes are available: pod has unbound immediate PersistentVolumeClaims.
        preemption: 0/6 nodes are available: 6 Preemption is not helpful for scheduling.'
      reason: Unschedulable
      status: "False"
      type: PodScheduled
    - lastProbeTime: "2025-01-06T13:33:00Z"
      lastTransitionTime: "2025-01-06T13:33:00Z"
      message: the virtual machine is not paused
      reason: NotPaused
      status: "True"
      type: kubevirt.io/virtual-machine-unpaused
    phase: Pending
    qosClass: Burstable
kind: List
metadata:
  resourceVersion: ""
